# $Revision: 1.18 $, $Date: 2009/05/05 08:03:53 $
Summary:	3d character animation library
Summary(hu.UTF-8):	3D karakter animáció könyvtára
Summary(pl.UTF-8):	Biblioteka do trójwymiarowej animacji postaci
Name:		cal3d
Version:	0.11.0
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://download.gna.org/cal3d/sources/%{name}-%{version}.tar.gz
# Source0-md5:	82ad09c1c28e73bc9596aec47237bfba
Patch0:		%{name}-fixtag.patch
Patch1:		%{name}-string.patch
URL:		https://gna.org/projects/cal3d/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	docbook-utils
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cal3d is a 3d character animation library written in C++ in a
platform-/graphic API-independent way.

%description -l hu.UTF-8
Cal3d egy C++-ban íródott 3d karakter-animációs könyvtár
platform/grafikus API-független módon.

%description -l pl.UTF-8
Cal3d jest biblioteką do trójwymiarowej animacji postaci napisaną w
C++ w sposób niezależny od architektury.

%package devel
Summary:	Header files for cal3d library
Summary(hu.UTF-8):	Fejléc fájlok a cal3d könyvtárhoz
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki cal3d
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for cal3d library.

%description devel -l hu.UTF-8
Fejléc fájlok a cal3d könyvtárhoz.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki cal3d.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
rm -f acinclude.m4
%{__aclocal}
%{__libtoolize}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure
%{__make}

cd docs
%{__make} doc-api
%{__make} doc-guide
cd ..
cp -r docs/api/html api

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/cal3d*
%attr(755,root,root) %{_libdir}/libcal3d.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libcal3d.so.12
%{_mandir}/man1/cal3d*

%files devel
%defattr(644,root,root,755)
%doc api docs/guide
%attr(755,root,root) %{_libdir}/libcal3d.so
%{_libdir}/lib*.la
%{_includedir}/%{name}
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cal3d.spec,v $
Revision 1.18  2009/05/05 08:03:53  pawelz
- instal soname symlink as %ghost
- execute ldconfig in %post and %postun

Revision 1.17  2009/05/01 08:09:40  uzsolt
- hu summary and descriptions
- please STBR

Revision 1.16  2008/11/27 16:04:25  sls
- BR fixes

Revision 1.15  2008/11/25 10:03:04  lisu
- added string.patch, now builds

Revision 1.14  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.12  2007/02/06 20:33:20  rotom
- up to 0.11.0
- URL changed
- thx for evil_core

Revision 1.11  2006/02/17 12:43:15  jajcus
- Version: 0.10.0
- user guide and modelling docs moved to -devel package (useless for non-developer)

Revision 1.10  2005/05/28 01:04:34  zbyniu
- added BR: scrollkeeper, removed BR: docbook-dtd42-xml

Revision 1.9  2004/12/19 21:56:20  zbyniu
- BR: -docbook-dtd31-sgml, +docbook-dtd42-xml, +gnome-doc-tools, +libstdc++-devel

Revision 1.8  2004/12/02 19:25:36  qboosh
- (updated) fixtag patch is back

Revision 1.7  2004/10/16 09:14:15  jpc
- missing BR: docbook-dtd31-sgml

Revision 1.6  2004/07/20 19:40:59  undefine
- update to snap 20040720

Revision 1.5  2004/06/29 22:20:03  undefine
- update to snapshot 20040629 from cvs

Revision 1.4  2004/05/31 19:18:10  krolik
- uncomment commentedout doc section in devel package

Revision 1.3  2004/05/31 18:54:10  krolik
- rel. missed ;-)

Revision 1.2  2004/05/31 18:48:01  krolik
- added patch which fix some docbook bugs
- now builds

Revision 1.1  2004/01/22 18:29:43  grzegol
- new

